Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EnrichPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EnrichPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EnrichPane.java	(revision 18297)
@@ -83,10 +83,11 @@
     public EnrichPane()
     {
-	// Create the metadata value tree pane
-	metadata_value_tree_pane = new MetadataValueTreePane();
+	this.setComponentOrientation(Dictionary.getOrientation());
+        // Create the metadata value tree pane
+	metadata_value_tree_pane = new MetadataValueTreePane();        
 	metadata_value_tree_pane.addMetadataValueTreeSelectionListener(new MetadataValueTreeSelectionListener());
 
 	// Create metadata value table pane
-	metadata_value_table_pane = new MetadataValueTablePane();
+	metadata_value_table_pane = new MetadataValueTablePane();      
 	metadata_value_table_pane.addMetadataValueTableListSelectionListener(new MetadataValueTableListSelectionListener());
 	metadata_value_table_pane.addMetadataValueTableMouseListener(new MetadataValueTableMouseListener());
@@ -100,5 +101,9 @@
     public void afterDisplay()
     {
-	external_split.setDividerLocation(0.3);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            external_split.setDividerLocation(0.3);
+        }else{
+            external_split.setDividerLocation(0.7);
+        }
     }
 
@@ -112,4 +117,5 @@
     {
 	JPanel left_hand_pane = new JPanel(new BorderLayout());
+        left_hand_pane.setComponentOrientation(Dictionary.getOrientation());
 	GLIButton metadata_set_button = new GLIButton(Dictionary.get("EnrichPane.ManageMetadataSets"), Dictionary.get("EnrichPane.ManageMetadataSets_Tooltip"));
 	metadata_set_button.addActionListener(new ActionListener() {
@@ -124,22 +130,24 @@
 	// Collection Tree
 	collection_pane = new JPanel(new BorderLayout());
+     //   collection_pane.setComponentOrientation(Dictionary.getOrientation());
 	collection_pane.setMinimumSize(MINIMUM_SIZE);
 	collection_pane.setPreferredSize(COLLECTION_TREE_SIZE);
 
 	collection_label = new JLabel(Dictionary.get("Collection.No_Collection"));
+        collection_label.setComponentOrientation(Dictionary.getOrientation());
 	collection_label.setOpaque(true);
 
 	collection_tree = Gatherer.c_man.getCollectionTree();
 	collection_tree.getSelectionModel().setSelectionMode(TreeSelectionModel.DISCONTIGUOUS_TREE_SELECTION);
-	collection_tree.addTreeSelectionListener(this);
+	collection_tree.addTreeSelectionListener(this); 
+        collection_tree.setComponentOrientation(Dictionary.getOrientation());
 	collection_filter = collection_tree.getFilter();
-
 	external_split = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
-
+        external_split.setComponentOrientation(Dictionary.getOrientation());
 	// Layout
 	collection_pane.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createEmptyBorder(3,3,3,3), BorderFactory.createLoweredBevelBorder()));
 	collection_pane.setMinimumSize(MINIMUM_SIZE);
 	collection_pane.setPreferredSize(new Dimension(Gatherer.g_man.getSize().width / 3, Gatherer.g_man.getSize().height));
-
+        collection_pane.setComponentOrientation(Dictionary.getOrientation());
 	// Collection Pane
 	collection_pane.add(collection_label, BorderLayout.NORTH);
@@ -148,5 +156,6 @@
 	metadata_editing_pane.setBorder(BorderFactory.createEmptyBorder(0,5,5,5));
 	metadata_editing_pane.setDividerSize(8);
-
+        metadata_editing_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	metadata_editing_pane.add(metadata_value_table_pane, JSplitPane.TOP);
 	metadata_editing_pane.add(metadata_value_tree_pane, JSplitPane.BOTTOM);
@@ -155,6 +164,11 @@
 	left_hand_pane.add(collection_pane, BorderLayout.CENTER);
 	left_hand_pane.add(metadata_set_button, BorderLayout.SOUTH);
-	external_split.add(left_hand_pane, JSplitPane.LEFT);
-	external_split.add(metadata_editing_pane, JSplitPane.RIGHT);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            external_split.add(left_hand_pane, JSplitPane.LEFT);
+            external_split.add(metadata_editing_pane, JSplitPane.RIGHT);
+        }else{
+            external_split.add(left_hand_pane, JSplitPane.RIGHT);
+            external_split.add(metadata_editing_pane, JSplitPane.LEFT);
+        }
 
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java	(revision 18297)
@@ -87,5 +87,5 @@
 	this.self = this;
 	this.metadata_file = source_file;
-
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// check that we actually have an explodable file
 	ArrayList exp_plugins = CollectionDesignManager.plugin_manager.getExploderPlugins(source_file);
@@ -107,12 +107,16 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setOpaque(true);
 	
 	options_pane = new JPanel();
+        options_pane.setComponentOrientation(Dictionary.getOrientation());
 	addScriptOptions(options_pane);
 	JScrollPane middle_pane = new JScrollPane(options_pane);
-
+        middle_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JTextArea instructions_area = new JTextArea(Dictionary.get("ExplodeMetadataPrompt.Instructions"));
-	instructions_area.setEditable(false);
+	instructions_area.setComponentOrientation(Dictionary.getOrientation());
+        instructions_area.setEditable(false);
 	instructions_area.setLineWrap(true);
 	instructions_area.setRows(5);
@@ -120,5 +124,6 @@
 	
 	JPanel button_pane = new JPanel();
-	JButton explode_button = new GLIButton(Dictionary.get("ExplodeMetadataPrompt.Explode"), Dictionary.get("ExplodeMetadataPrompt.Explode_Tooltip"));
+	button_pane.setComponentOrientation(Dictionary.getOrientation());
+        JButton explode_button = new GLIButton(Dictionary.get("ExplodeMetadataPrompt.Explode"), Dictionary.get("ExplodeMetadataPrompt.Explode_Tooltip"));
 	JButton cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
 	
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 18297)
@@ -155,5 +155,5 @@
     public ExportAsPrompt() {
 	super(Gatherer.g_man, true);
-	
+	this.setComponentOrientation(Dictionary.getOrientation());
 	plugoutMap.clear();         
 	plugoutMap.put("DSpace","dublin-core.xml");
@@ -166,5 +166,6 @@
 	details_textarea = new JTextArea(Dictionary.get("DeleteCollectionPrompt.No_Collection"));
 	details_textarea.setEditable(false);
-	
+	details_textarea.setComponentOrientation(Dictionary.getOrientation());
+        
 	details_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_Details"));
 	
@@ -176,5 +177,5 @@
 	instructions_textarea.setRows(4);
 	instructions_textarea.setWrapStyleWord(true);
-	
+	instructions_textarea.setComponentOrientation(Dictionary.getOrientation());
              
         // Save As
@@ -183,4 +184,5 @@
         saveas_label = new JLabel(Dictionary.get("ExportAsPrompt.SaveAs")
 );
+        saveas_label.setComponentOrientation(Dictionary.getOrientation());
         //saveas_label.setPreferredSize(LABEL_SIZE);
         
@@ -188,5 +190,5 @@
 	saveas_combobox.setOpaque(false);
 	saveas_combobox.setToolTipText(Dictionary.get("ExportAsPrompt.SaveAs_Tooltip"));
-        
+        saveas_combobox.setComponentOrientation(Dictionary.getOrientation());
 
 	// Add xml conversion feature
@@ -203,10 +205,12 @@
         convert_xml_checkbox1.setText(Dictionary.get("ExportAsPrompt.ApplyXSL","doc.xml"));
         convert_xml_checkbox1.setToolTipText(Dictionary.get("ExportAsPrompt.ApplyXSL_Tooltip"));
+        convert_xml_checkbox1.setComponentOrientation(Dictionary.getOrientation());
         
 	convert_xml_checkbox2 = new JCheckBox();
         convert_xml_checkbox2.setToolTipText(Dictionary.get("ExportAsPrompt.ApplyXSL_Tooltip"));
-
-
+        convert_xml_checkbox2.setComponentOrientation(Dictionary.getOrientation());
+        
         output_single_checkbox = new JCheckBox();
+        output_single_checkbox.setComponentOrientation(Dictionary.getOrientation());
 	output_single_checkbox.setText(Dictionary.get("ExportAsPrompt.MARCXMLGroup"));
         output_single_checkbox.setToolTipText(Dictionary.get("ExportAsPrompt.MARCXMLGroup_Tooltip"));
@@ -214,30 +218,40 @@
 
         mapping_xml_checkbox = new JCheckBox();
+        mapping_xml_checkbox.setComponentOrientation(Dictionary.getOrientation());
 	mapping_xml_checkbox.setText(Dictionary.get("ExportAsPrompt.MappingXML"));
         mapping_xml_checkbox.setToolTipText(Dictionary.get("ExportAsPrompt.MappingXML_Tooltip"));
 
-
         convert_xml_field1 = new JTextField();
+        convert_xml_field1.setComponentOrientation(Dictionary.getOrientation());
 	convert_xml_field2 = new JTextField();
+        convert_xml_field2.setComponentOrientation(Dictionary.getOrientation());
 	mapping_xml_field = new JTextField();
+        mapping_xml_field.setComponentOrientation(Dictionary.getOrientation());
 
         convert_xml_pane1 = new JPanel(new BorderLayout());
-	
+	convert_xml_pane1.setComponentOrientation(Dictionary.getOrientation());                
+        
 	convert_xml_pane2 = new JPanel(new BorderLayout());
-
+        convert_xml_pane2.setComponentOrientation(Dictionary.getOrientation());
+        
 	mapping_xml_pane = new JPanel(new BorderLayout());
-
+        mapping_xml_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	convert_xml_pane = new JPanel(new GridLayout(3,1));
-
+        convert_xml_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	all_collections = new ArrayList();
 	list = new CheckList(true);
 	list_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_List"));
-	
+	list_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	ok_button = new GLIButton(Dictionary.get("ExportAsPrompt.Export"), Dictionary.get("ExportAsPrompt.Export_Tooltip"));
 	
 	title_field = new JTextField();
+        title_field.setComponentOrientation(Dictionary.getOrientation());
 	title_field.setToolTipText(Dictionary.get("ExportAsPrompt.Export_Name_Tooltip"));
 	title_label = new JLabel(Dictionary.get("ExportAsPrompt.Export_Name"));
-
+        title_label.setComponentOrientation(Dictionary.getOrientation());
+        
         folder_button = new GLIButton(Dictionary.get("ExportAsPrompt.Browse"),Dictionary.get("ExportAsPrompt.Browse_Tooltip"));
 	folder_button.addActionListener(new FolderButtonListener());
@@ -296,15 +310,20 @@
      * returns true if it has exported the collections that are currently selected */
     public boolean display() {
+        JScrollPane scrol_tmp;
 	// Top pane
 	instructions_pane = new JPanel(new BorderLayout());
-	instructions_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,5));
-	instructions_pane.add(new JScrollPane(instructions_textarea), BorderLayout.CENTER);
+        instructions_pane.setComponentOrientation(Dictionary.getOrientation());
+        instructions_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,5));
+        scrol_tmp = new JScrollPane(instructions_textarea);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+        instructions_pane.add(scrol_tmp, BorderLayout.CENTER);
 	
 	title_label.setBorder(BorderFactory.createEmptyBorder(0,5,0,15));
 
 	JPanel title_pane = new JPanel(new BorderLayout());
-	title_pane.add(title_label, BorderLayout.WEST);
+        title_pane.setComponentOrientation(Dictionary.getOrientation());
+	title_pane.add(title_label, BorderLayout.LINE_START);
 	title_pane.add(title_field, BorderLayout.CENTER);
-        title_pane.add(folder_button, BorderLayout.EAST);
+        title_pane.add(folder_button, BorderLayout.LINE_END);
         //apply xsl pane
           
@@ -314,15 +333,15 @@
 	convert_xml_pane.removeAll();
 
-	convert_xml_pane1.add(convert_xml_checkbox1, BorderLayout.WEST);
+	convert_xml_pane1.add(convert_xml_checkbox1, BorderLayout.LINE_START);
 	convert_xml_pane1.add(convert_xml_field1, BorderLayout.CENTER);
-	convert_xml_pane1.add(convert_xml_button1, BorderLayout.EAST);
-
-	convert_xml_pane2.add(convert_xml_checkbox2, BorderLayout.WEST);
+	convert_xml_pane1.add(convert_xml_button1, BorderLayout.LINE_END);
+
+	convert_xml_pane2.add(convert_xml_checkbox2, BorderLayout.LINE_START);
 	convert_xml_pane2.add(convert_xml_field2, BorderLayout.CENTER);
-	convert_xml_pane2.add(convert_xml_button2, BorderLayout.EAST);
+	convert_xml_pane2.add(convert_xml_button2, BorderLayout.LINE_END);
       
-	mapping_xml_pane.add(mapping_xml_checkbox, BorderLayout.WEST);
+	mapping_xml_pane.add(mapping_xml_checkbox, BorderLayout.LINE_START);
 	mapping_xml_pane.add(mapping_xml_field, BorderLayout.CENTER);
-	mapping_xml_pane.add(convert_xml_button3, BorderLayout.EAST);
+	mapping_xml_pane.add(convert_xml_button3, BorderLayout.LINE_END);
 
 	convert_xml_pane.add(convert_xml_pane1);
@@ -343,9 +362,11 @@
         // Save as pane
 	JPanel saveas_pane = new JPanel(new BorderLayout());
+        saveas_pane.setComponentOrientation(Dictionary.getOrientation());
 	saveas_label.setBorder(BorderFactory.createEmptyBorder(0,5,0,15));
-	saveas_pane.add(saveas_label, BorderLayout.WEST);
+	saveas_pane.add(saveas_label, BorderLayout.LINE_START);
 	saveas_pane.add(saveas_combobox, BorderLayout.CENTER);
 
         JPanel tmp_pane = new JPanel(new BorderLayout());
+        tmp_pane.setComponentOrientation(Dictionary.getOrientation());
         tmp_pane.add(saveas_pane, BorderLayout.NORTH);
 	tmp_pane.add(title_pane, BorderLayout.CENTER);
@@ -357,14 +378,21 @@
 	// Central pane
 	JPanel list_pane = new JPanel(new BorderLayout());
+        list_pane.setComponentOrientation(Dictionary.getOrientation());
 	list_pane.add(list_label, BorderLayout.NORTH);
-	list_pane.add(new JScrollPane(list), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(list);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	list_pane.add(scrol_tmp, BorderLayout.CENTER);
 	list_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 5, 0));
 
 	JPanel details_pane = new JPanel(new BorderLayout());
+        details_pane.setComponentOrientation(Dictionary.getOrientation());
 	details_pane.add(details_label, BorderLayout.NORTH);
-	details_pane.add(new JScrollPane(details_textarea), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(details_textarea);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	details_pane.add(scrol_tmp, BorderLayout.CENTER);
 	details_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
 
 	JPanel central_pane = new JPanel(new GridLayout(2, 1));
+        central_pane.setComponentOrientation(Dictionary.getOrientation());
 	central_pane.add(list_pane);
 	central_pane.add(details_pane);
@@ -373,4 +401,5 @@
 	// Lower pane
 	JPanel button_pane = new JPanel(new GridLayout(1, 2));
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.add(ok_button);
 	button_pane.add(cancel_button);
@@ -378,4 +407,5 @@
 
 	JPanel lower_pane = new JPanel(new BorderLayout());
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
 	lower_pane.add(button_pane, BorderLayout.SOUTH);
 	lower_pane.setBorder(BorderFactory.createEmptyBorder(0, 5, 5, 5));
@@ -383,4 +413,5 @@
 	// Final.
 	JPanel content_pane = (JPanel)this.getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setLayout(new BorderLayout());
 	content_pane.add(instructions_pane, BorderLayout.NORTH);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/FileAssociationDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/FileAssociationDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/FileAssociationDialog.java	(revision 18297)
@@ -81,5 +81,5 @@
 	this.file_association_manager = file_association_manager;
 	this.self = this;
-		  
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// Creation
 	setModal(true);
@@ -109,5 +109,5 @@
 	extension_field = new NonWhitespaceField();
 	extension_field.setToolTipText(Dictionary.get("FileAssociationDialog.Extension_Tooltip"));
-
+                
 	JLabel command_label = new JLabel(Dictionary.get("FileAssociationDialog.Command"));
 	JPanel command_pane = new JPanel();
@@ -123,6 +123,6 @@
 
 
-	JPanel button_pane = new JPanel();
-	
+	JPanel button_pane = new JPanel();       
+        
 	add_button = new GLIButton(Dictionary.get("FileAssociationDialog.Add"), Dictionary.get("FileAssociationDialog.Add_Tooltip"));
 	add_button.setEnabled(false);
@@ -151,5 +151,5 @@
 	extension_pane.setBorder(BorderFactory.createEmptyBorder(2,0,2,0));
 	extension_pane.setLayout(new BorderLayout(5,0));
-	extension_pane.add(extension_label, BorderLayout.WEST);
+	extension_pane.add(extension_label, BorderLayout.LINE_START);
 	extension_pane.add(extension_field, BorderLayout.CENTER);
 
@@ -157,5 +157,5 @@
 	command_pane.setLayout(new BorderLayout());
 	command_pane.add(command_field, BorderLayout.CENTER);
-	command_pane.add(browse_button, BorderLayout.EAST);
+	command_pane.add(browse_button, BorderLayout.LINE_END);
 
 	details_pane.setBorder(BorderFactory.createTitledBorder(Dictionary.get("FileAssociationDialog.Details")));
@@ -181,10 +181,15 @@
 	control_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	control_pane.setLayout(new BorderLayout());
-	control_pane.add(new JScrollPane(existing_associations_table), BorderLayout.CENTER);
+        JScrollPane scrol_tmp;
+        scrol_tmp = new JScrollPane(existing_associations_table);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	control_pane.add(scrol_tmp, BorderLayout.CENTER);
 	control_pane.add(lower_pane, BorderLayout.SOUTH);
 
 	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	content_pane.setLayout(new BorderLayout());
-	content_pane.add(new JScrollPane(instructions_area), BorderLayout.NORTH);
+        scrol_tmp = new JScrollPane(instructions_area);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	content_pane.add(scrol_tmp, BorderLayout.NORTH);
 	content_pane.add(control_pane, BorderLayout.CENTER);
 
@@ -192,4 +197,18 @@
 	setLocation((int)(screen.getX() + (screen.getWidth() - SIZE.width) / 2), (int)(screen.getY() + (screen.getHeight() - SIZE.height) / 2));
 	screen = null;
+        
+        //RTL
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        instructions_area.setComponentOrientation(Dictionary.getOrientation());
+        control_pane.setComponentOrientation(Dictionary.getOrientation());
+        existing_associations_table.setComponentOrientation(Dictionary.getOrientation());
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
+        details_pane.setComponentOrientation(Dictionary.getOrientation());
+        extension_pane.setComponentOrientation(Dictionary.getOrientation());
+        extension_label.setComponentOrientation(Dictionary.getOrientation());
+        extension_field.setComponentOrientation(Dictionary.getOrientation());
+        command_label.setComponentOrientation(Dictionary.getOrientation());
+        command_pane.setComponentOrientation(Dictionary.getOrientation());
+        //end
     }
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/Filter.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/Filter.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/Filter.java	(revision 18297)
@@ -89,4 +89,5 @@
     public Filter(DragTree tree, ArrayList others) {
 	super();
+        this.setComponentOrientation(Dictionary.getOrientation());
 	if (others == null) {
 	    others = new ArrayList();
@@ -114,4 +115,6 @@
 	}
 	label = new JLabel(Dictionary.get("Filter.Filter_Tree"));
+        label.setComponentOrientation(Dictionary.getOrientation());
+        label.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	combobox.setToolTipText(Dictionary.get("Collection.Filter_Tooltip"));
 	
@@ -123,5 +126,5 @@
 	setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
 	setLayout(new BorderLayout());
-	add(label, BorderLayout.WEST);
+	add(label, BorderLayout.LINE_START);
 	add(combobox, BorderLayout.CENTER);
     }
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/FormatPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/FormatPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/FormatPane.java	(revision 18297)
@@ -73,8 +73,11 @@
         }
         JPanel side_panel = new JPanel ();
+        side_panel.setComponentOrientation(Dictionary.getOrientation());
         side_panel.setLayout (new BorderLayout ());
         remove (tree_pane);
         side_panel.add (tree_pane, BorderLayout.CENTER);
         JPanel preview_pane = new JPanel ();
+        preview_pane.setComponentOrientation(Dictionary.getOrientation());
+        
         preview_pane.setLayout (new BorderLayout ());
         preview_pane.setBorder (BorderFactory.createEmptyBorder (5,0,0,0));
@@ -103,5 +106,5 @@
         side_panel.add (preview_pane, BorderLayout.SOUTH);
         
-        add (side_panel, BorderLayout.WEST);
+        add (side_panel, BorderLayout.LINE_START);
     }
     
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GComboBox.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GComboBox.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GComboBox.java	(revision 18297)
@@ -62,4 +62,5 @@
     public GComboBox() {
 	super();
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	init();
 	setOpaque(!Utility.isMac());
@@ -68,4 +69,5 @@
     public GComboBox(boolean editable) {
 	super();
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -76,4 +78,5 @@
     public GComboBox(ArrayList data) {
 	super(data.toArray());
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	init();
@@ -82,4 +85,5 @@
     public GComboBox(ArrayList data, boolean editable) {
 	super(data.toArray());
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -89,4 +93,5 @@
     public GComboBox(ArrayList data, boolean editable, boolean sorted) {
 	super(data.toArray());
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -97,4 +102,5 @@
     public GComboBox(ComboBoxModel model) {
 	super(model);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	init();
@@ -103,4 +109,5 @@
     public GComboBox(ComboBoxModel model, boolean editable) {
 	super(model);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -110,4 +117,5 @@
     public GComboBox(Object data[]) {
 	super(data);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	init();
@@ -116,4 +124,5 @@
     public GComboBox(Object data[], boolean editable) {
 	super(data);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -123,4 +132,5 @@
     public GComboBox(Object data[], boolean editable, boolean sorted) {
 	super(data);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -131,4 +141,5 @@
     public GComboBox(Vector data) {
 	super(data);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	init();
@@ -137,4 +148,5 @@
     public GComboBox(Vector data, boolean editable) {
 	super(data);
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	setOpaque(!Utility.isMac());
 	setEditable(editable);
@@ -320,4 +332,5 @@
 	    super("");
 	    this.setOpaque(true);
+            this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	}
 	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GProgressBar.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GProgressBar.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GProgressBar.java	(revision 18297)
@@ -29,4 +29,5 @@
 
 import javax.swing.*;
+import org.greenstone.gatherer.Dictionary;
 
 
@@ -47,4 +48,5 @@
     {
 	super(0, 100);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GUIManager.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 18297)
@@ -116,4 +116,5 @@
     public GUIManager(Dimension size) {
 	super();
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// Initialization
 	this.help = new HelpFrame();
@@ -323,4 +324,6 @@
     public void display() {
 	content_pane = (JPanel) this.getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Enable window-type events to be fired.
 	enableEvents(AWTEvent.WINDOW_EVENT_MASK);
@@ -348,4 +351,5 @@
 	    // Create the menu-bar and stick it up the top.
 	    menu_bar = new MenuBar(new MenuListenerImpl());
+            menu_bar.setComponentOrientation(Dictionary.getOrientation());
 
 	    //feedback changes
@@ -357,4 +361,5 @@
 	    // expand to consume all available space like any good gas would.
 	    tab_pane = new JTabbedPane();
+            tab_pane.setComponentOrientation(Dictionary.getOrientation());
 	    tab_pane.addChangeListener(this);
 	    tab_pane.setFont(Configuration.getFont("general.font", false));
@@ -367,5 +372,5 @@
 	    }
 
-	    gather_pane = new GatherPane();
+	    gather_pane = new GatherPane();          
 	    gather_pane.display();
 	    if (Configuration.get("workflow.gather", true)) {
@@ -392,4 +397,5 @@
 
 	    create_pane = new CreatePane();
+            create_pane.setComponentOrientation(Dictionary.getOrientation());
 	    create_pane.display();
 	    if (Configuration.get("workflow.create", true)) {
@@ -400,4 +406,5 @@
 
 	    format_pane = new FormatPane();
+            format_pane.setComponentOrientation(Dictionary.getOrientation());
 	    format_pane.display();
 	    if (Configuration.get("workflow.format", true)) {
@@ -408,5 +415,5 @@
 	    // The MetaAuditFrame must be created after the gather/enrich panes but before they get focus
 	    meta_audit = new MetaAuditFrame();
-
+            meta_audit.setComponentOrientation(Dictionary.getOrientation());
 	    // Select the collect pane if it is available
 	    if (tab_pane.indexOfComponent(gather_pane) != -1) {
@@ -428,8 +435,10 @@
 	    if (Gatherer.isGsdlRemote) {
 		JPanel remote_greenstone_server_progress_panel = new JPanel();
+               //remote_greenstone_server_progress_panel.setComponentOrientation(Dictionary.getOrientation());
 		JLabel remote_greenstone_server_progress_label = new JLabel(Dictionary.get("RemoteGreenstoneServer.Progress"));
+                //remote_greenstone_server_progress_label.setComponentOrientation(Dictionary.getOrientation());
 		remote_greenstone_server_progress_panel.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 		remote_greenstone_server_progress_panel.setLayout(new BorderLayout());
-		remote_greenstone_server_progress_panel.add(remote_greenstone_server_progress_label, BorderLayout.WEST);
+		remote_greenstone_server_progress_panel.add(remote_greenstone_server_progress_label, BorderLayout.LINE_START);
 		remote_greenstone_server_progress_panel.add(RemoteGreenstoneServer.getProgressBar(), BorderLayout.CENTER);
 		content_pane.add(remote_greenstone_server_progress_panel, BorderLayout.SOUTH);
@@ -694,4 +703,5 @@
     {
 	OpenCollectionDialog dialog = new OpenCollectionDialog();
+        dialog.setComponentOrientation(Dictionary.getOrientation());
 	if (dialog.display() == OpenCollectionDialog.OK_OPTION) {
 	    return dialog.getFileName();
